﻿using System.Collections.ObjectModel;

namespace CollectionViewIsEnabledIssue;

public partial class MainPage : ContentPage
{
	public ObservableCollection<CollectionViewItem> Items { get; set; }

		public MainPage()
		{
			Items = new ObservableCollection<CollectionViewItem>
			{
				new CollectionViewItem { Name = "Item 1" },
				new CollectionViewItem { Name = "Item 2" },
				new CollectionViewItem { Name = "Item 3" }
			};
			InitializeComponent();
			BindingContext = this;
		}

		void Button_Clicked(object sender, EventArgs e)
		{
			collectionView.IsEnabled = !collectionView.IsEnabled;
		}
}

public class CollectionViewItem
{
	public string? Name { get; set; }
}


